Page 1 of 2

Please update mono to a more recent version

PostPosted: Wed Aug 29, 2018 6:06 am
by ShaMana
It is required for several other apps to work. Please update mono

Re: Please update mono to a more recent version

PostPosted: Thu Aug 30, 2018 1:20 am
by itdaboyz
+1 !
And a working version this time...

Re: Please update mono to a more recent version

PostPosted: Sat Sep 29, 2018 12:06 am
by jutski
We need a more recent version with BTLS support compiled in to support TLS 1.2.

Re: Please update mono to a more recent version

PostPosted: Sat Dec 01, 2018 7:39 pm
by Ragtag
Is mono going to get updated soon?

Re: Please update mono to a more recent version

PostPosted: Tue Dec 04, 2018 2:39 pm
by Marco@ASUSTOR
I felt I had to register for this sole purpose. I upgraded mono the other day to a release done this summer and now jackett/sonarr indexers don't work due to:

Jackett.Common.IndexerException: Exception (idopeclone): The authentication or decryption has failed. ---> System.Net.Http.HttpRequestException: An error occurred while sending the request ---> System.Net.WebException: Error: SecureChannelFailure (The authentication or decryption has failed.) ---> System.IO.IOException: The authentication or decryption has failed. ---> System.IO.IOException: The authentication or decryption has failed. ---> Mono.Security.Protocol.Tls.TlsException: The authentication or decryption has failed.
at Mono.Security.Protocol.Tls.RecordProtocol.EndReceiveRecord (System.IAsyncResult asyncResult) [0x00049] in /root/asustor/trunk/trunk_g3/source/mono-5.8.1.0/mcs/class/Mono.Security/Mono.Security.Protocol.Tls/RecordProtocol.cs:434
at Mono.Security.Protocol.Tls.SslClientStream.SafeEndReceiveRecord (System.IAsyncResult ar, System.Boolean ignoreEmpty) [0x00000] in /root/asustor/trunk/trunk_g3/source/mono-5.8.1.0/mcs/class/Mono.Security/Mono.Security.Protocol.Tls/SslClientStream.cs:256
at Mono.Security.Protocol.Tls.SslClientStream.NegotiateAsyncWorker (System.IAsyncResult result) [0x00071] in /root/asustor/trunk/trunk_g3/source/mono-5.8.1.0/mcs/class/Mono.Security/Mono.Security.Protocol.Tls/SslClientStream.cs:418
--- End of inner exception stack trace ---
at Mono.Security.Protocol.Tls.SslClientStream.EndNegotiateHandshake (System.IAsyncResult result) [0x00033] in /root/asustor/trunk/trunk_g3/source/mono-5.8.1.0/mcs/class/Mono.Security/Mono.Security.Protocol.Tls/SslClientStream.cs:397
at Mono.Security.Protocol.Tls.SslStreamBase.AsyncHandshakeCallback (System.IAsyncResult asyncResult) [0x0000c] in /root/asustor/trunk/trunk_g3/source/mono-5.8.1.0/mcs/class/Mono.Security/Mono.Security.Protocol.Tls/SslStreamBase.cs:101

Is this getting updated any time soon or do I need to switch to a NAS that is actually being maintained?


Is mono going to get updated soon?




Hi everyone. Mono was updated already. It's in Beta Apps because we are having difficulties with a third party app, namely Zappiti server. Putting it in Beta Apps allows us to have two simultaneous versions while we figure out how to deal with this third party app. I already said this.

Re: Please update mono to a more recent version

PostPosted: Sat Dec 08, 2018 7:13 pm
by ShaMana
Sadly after updating Mono to the beta version it didn't make a single bit of difference. Mainly jacket still doesn't function properly. And some other apps fail in some of their services like radarr

Re: Please update mono to a more recent version

PostPosted: Sat Dec 08, 2018 8:22 pm
by ShaMana
OK, update. I deleted the ASUSTOR Jackett app and installed it via Docker... Now jackett seems to function properly. I don't know why or how. I'll try to install everything else like that as well

Re: Please update mono to a more recent version

PostPosted: Thu Mar 21, 2019 9:49 pm
by njhorn
Marco@ASUSTOR wrote:
I felt I had to register for this sole purpose. I upgraded mono the other day to a release done this summer and now jackett/sonarr indexers don't work due to:

Jackett.Common.IndexerException: Exception (idopeclone): The authentication or decryption has failed. ---> System.Net.Http.HttpRequestException: An error occurred while sending the request ---> System.Net.WebException: Error: SecureChannelFailure (The authentication or decryption has failed.) ---> System.IO.IOException: The authentication or decryption has failed. ---> System.IO.IOException: The authentication or decryption has failed. ---> Mono.Security.Protocol.Tls.TlsException: The authentication or decryption has failed.
at Mono.Security.Protocol.Tls.RecordProtocol.EndReceiveRecord (System.IAsyncResult asyncResult) [0x00049] in /root/asustor/trunk/trunk_g3/source/mono-5.8.1.0/mcs/class/Mono.Security/Mono.Security.Protocol.Tls/RecordProtocol.cs:434
at Mono.Security.Protocol.Tls.SslClientStream.SafeEndReceiveRecord (System.IAsyncResult ar, System.Boolean ignoreEmpty) [0x00000] in /root/asustor/trunk/trunk_g3/source/mono-5.8.1.0/mcs/class/Mono.Security/Mono.Security.Protocol.Tls/SslClientStream.cs:256
at Mono.Security.Protocol.Tls.SslClientStream.NegotiateAsyncWorker (System.IAsyncResult result) [0x00071] in /root/asustor/trunk/trunk_g3/source/mono-5.8.1.0/mcs/class/Mono.Security/Mono.Security.Protocol.Tls/SslClientStream.cs:418
--- End of inner exception stack trace ---
at Mono.Security.Protocol.Tls.SslClientStream.EndNegotiateHandshake (System.IAsyncResult result) [0x00033] in /root/asustor/trunk/trunk_g3/source/mono-5.8.1.0/mcs/class/Mono.Security/Mono.Security.Protocol.Tls/SslClientStream.cs:397
at Mono.Security.Protocol.Tls.SslStreamBase.AsyncHandshakeCallback (System.IAsyncResult asyncResult) [0x0000c] in /root/asustor/trunk/trunk_g3/source/mono-5.8.1.0/mcs/class/Mono.Security/Mono.Security.Protocol.Tls/SslStreamBase.cs:101

Is this getting updated any time soon or do I need to switch to a NAS that is actually being maintained?


Is mono going to get updated soon?




Hi everyone. Mono was updated already. It's in Beta Apps because we are having difficulties with a third party app, namely Zappiti server. Putting it in Beta Apps allows us to have two simultaneous versions while we figure out how to deal with this third party app. I already said this.



Hi Marco,
I see you mention the Mono beta version, and I have installed that but still have the same problem with TLS connections and Radarr. This is because y'all have given us a version of mono without TLS 1.2 (BTLS) support compiled in. Radarr now does not work because the TMDB website it uses to search for information on movies has removed support for TLS 1.0 and only allows BTLS/TLS 1.2 now. Jackett is in a similar situation, and Sonarr will soon have the same problem when TVDB removes TLS 1.0 support. Please please please give us a Mono version with BTLS options in it!

Re: Please update mono to a more recent version

PostPosted: Fri Mar 22, 2019 9:51 pm
by dkobelak
njhorn wrote:
Marco@ASUSTOR wrote:
I felt I had to register for this sole purpose. I upgraded mono the other day to a release done this summer and now jackett/sonarr indexers don't work due to:

Jackett.Common.IndexerException: Exception (idopeclone): The authentication or decryption has failed. ---> System.Net.Http.HttpRequestException: An error occurred while sending the request ---> System.Net.WebException: Error: SecureChannelFailure (The authentication or decryption has failed.) ---> System.IO.IOException: The authentication or decryption has failed. ---> System.IO.IOException: The authentication or decryption has failed. ---> Mono.Security.Protocol.Tls.TlsException: The authentication or decryption has failed.
at Mono.Security.Protocol.Tls.RecordProtocol.EndReceiveRecord (System.IAsyncResult asyncResult) [0x00049] in /root/asustor/trunk/trunk_g3/source/mono-5.8.1.0/mcs/class/Mono.Security/Mono.Security.Protocol.Tls/RecordProtocol.cs:434
at Mono.Security.Protocol.Tls.SslClientStream.SafeEndReceiveRecord (System.IAsyncResult ar, System.Boolean ignoreEmpty) [0x00000] in /root/asustor/trunk/trunk_g3/source/mono-5.8.1.0/mcs/class/Mono.Security/Mono.Security.Protocol.Tls/SslClientStream.cs:256
at Mono.Security.Protocol.Tls.SslClientStream.NegotiateAsyncWorker (System.IAsyncResult result) [0x00071] in /root/asustor/trunk/trunk_g3/source/mono-5.8.1.0/mcs/class/Mono.Security/Mono.Security.Protocol.Tls/SslClientStream.cs:418
--- End of inner exception stack trace ---
at Mono.Security.Protocol.Tls.SslClientStream.EndNegotiateHandshake (System.IAsyncResult result) [0x00033] in /root/asustor/trunk/trunk_g3/source/mono-5.8.1.0/mcs/class/Mono.Security/Mono.Security.Protocol.Tls/SslClientStream.cs:397
at Mono.Security.Protocol.Tls.SslStreamBase.AsyncHandshakeCallback (System.IAsyncResult asyncResult) [0x0000c] in /root/asustor/trunk/trunk_g3/source/mono-5.8.1.0/mcs/class/Mono.Security/Mono.Security.Protocol.Tls/SslStreamBase.cs:101

Is this getting updated any time soon or do I need to switch to a NAS that is actually being maintained?


Is mono going to get updated soon?




Hi everyone. Mono was updated already. It's in Beta Apps because we are having difficulties with a third party app, namely Zappiti server. Putting it in Beta Apps allows us to have two simultaneous versions while we figure out how to deal with this third party app. I already said this.



Hi Marco,
I see you mention the Mono beta version, and I have installed that but still have the same problem with TLS connections and Radarr. This is because y'all have given us a version of mono without TLS 1.2 (BTLS) support compiled in. Radarr now does not work because the TMDB website it uses to search for information on movies has removed support for TLS 1.0 and only allows BTLS/TLS 1.2 now. Jackett is in a similar situation, and Sonarr will soon have the same problem when TVDB removes TLS 1.0 support. Please please please give us a Mono version with BTLS options in it!


I have the same issue now with Radarr now.. TLS 1.0 support was just removed and the app does not function properly anymore.. please provide us with the latest Mono update! Having mono updates should be a regular thing..

Re: Please update mono to a more recent version

PostPosted: Mon Mar 25, 2019 5:14 pm
by Marco@ASUSTOR
Hi! Mono will be updated within the next couple of weeks. The IT Team is currently aware of the issue and is currently testing 5.18 for compatibility issues with other apps. Stay tuned!